import { ListResponse, ListWarrantParams, QueryParams, QueryListParams, QueryResult, Warrant, WarrantParams } from "../types";
import { WarrantRequestOptions } from "../types/WarrantRequestOptions";
export default class WarrantModule {
    static create(params: WarrantParams, options?: WarrantRequestOptions): Promise<Warrant>;
    static batchCreate(params: WarrantParams[], options?: WarrantRequestOptions): Promise<Warrant[]>;
    static list(params?: ListWarrantParams, options?: WarrantRequestOptions): Promise<ListResponse<Warrant>>;
    static query(query: string | QueryParams, listParams?: QueryListParams, options?: WarrantRequestOptions): Promise<ListResponse<QueryResult>>;
    static delete(params: WarrantParams, options?: WarrantRequestOptions): Promise<string>;
    static batchDelete(params: WarrantParams[], options?: WarrantRequestOptions): Promise<void>;
}
